@charset "UTF-8";
*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body{
    background-color: #ececec;
    font-family: 'Poppins', sans-serif;
    color: #333;
}
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100px;
    background-color: #e5e3e2;
}
header button{ /* "Minhas redes sociais" */
    margin-right: 70px;
    padding: 10px;
    background-color: #D2B48C;
    border: none;
    width: 145px;
    height: 35px;   
}
header li{
    list-style-type: none;
}
header button:hover{
    cursor: pointer;
    width: 155px;
    height: 45px;
    border: 2px solid black;
}
header h1{
    margin-left: 70px;
    font-size: 3em;
}

ul#logos{
    display: flex;
    padding: 5px;
}
ul#logos li{
    margin: 5px;
}
ul.clicado { /* Quando o menu de redes sociais é clicado, joga o <ul> mais pra baixo */
    margin-top: 100px;
}
a{
    cursor: pointer;
}
img{
    margin-top: 10px;
    border-radius: 50px;
    width: 50px;
    height: 50px;
    box-shadow: 2px 2px 5px 2px rgba(0, 0, 0, 0.322);
    box-sizing: border-box; 
    cursor: pointer;
}
img:hover{
    box-shadow: 2px 2px 5px 3px black;
    border: 2px solid rgba(255, 255, 255, 0.76);
    transition: transform 0.5s;
}
li.link{
    display: none;
}
main {
    margin-top: 20px;
    display: flex;
    flex-flow: column nowrap;
    button#adicionar{
        background-color: gray;
        font-size: 2em;
        border: none;
        padding: 10px;
        margin: auto;
    }
button#adicionar:hover{
    background-color: #D8D8D8;
}
button{
    cursor: pointer;
}
}
div#cards{ /* Container que guarda os cartões com os livros */
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-flow: row wrap;

}
div.card{ /* Cada cartão individual que mostra as infos dos livros */
    background-color: #FAF3E0;
    width: 30%; /* Largura para caber 3 cartões em uma mesma linha */
    padding: 15px;
    height: 250px;
    margin: 15px; 
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0,0,0,0.1); 
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: space-around;
    cursor: pointer;
    transition: transform 0.3s, box-shadow 0.3s;
}
div.card p{
font-size: 1.5em;
}
div.card button{
    width: 90%;
    border-radius: 15px;
    padding: 5px;
    border: none;
    font-size: 1.5em;
}
div.card button.remover{
    background-color: #ff8c42;
}
div.card button.jaLido{
    background-color: #6abf69;
    
}
div.card button:hover{
    font-size: 1.7em;
    opacity: 0.9;
}

div.card:hover{
    transform: translateY(-5px);
    box-shadow: 0px 8px 20px rgba(0,0,0,0.15);
}
form#formulario{
    background-color: rgb(192, 192, 192, 0.75);
    backdrop-filter: blur(100px);
    box-shadow: 0px 10px 25px rgba(0,0,0,0.2);
    min-width: 300px;
    max-width: 400px;
    max-height: 450px;
    min-height: 350px;
    border-radius: 20px;
    border: 2px solid black;
    position: fixed; /* Elemento fica fixo na tela (independente da rolagem) */
    /* Centralizo o formulário no meio da página */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    /* Formulário ficará por cima de outros elementos não tela que tenham um z-index menor ou não tenham z-index definido */
    z-index: 4;
    padding: 10px;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    display: none;
}
form#formulario h1{
    font-size: 1.7em;
}

form#formulario input[type="text"], input[type="number"]{ 
    padding: 10px;
    margin-top: 10px;
    width: 90%;
    border: none;
    font-size: 1.4em;
}
form#formulario button{ /* Todos os botões */
    width: 90%;
    margin-top: 10px;
    padding: 5px;
    background-color: #45A049;
    border: none;
    font-size: 1.3em;
}
form#formulario label{ /* Todas as labels ("Já li esse livro" e "De 1 a 10, avalie o livro" */
    margin-top: 10px;
    font-size: 1.3em;
}

form#formulario input[type="checkbox"] { /* Checkbox */
    transform: scale(1.5); /* Aumenta em 1.5x */
    margin-left: 10px;
}
form#formulario label#label_classificacao{ /* "De 1 a 10, avalie o livro" */
    display: none;
}
form#formulario input[type="range"] { /* Barra de avaliação */
    margin-top: 10px;
    display: none;
    
}
form#formulario span#valor{ /* Número embaixo da barra */
    display: none;
}
form#formulario input[type="submit"] { /* Adicionar */
    width: 90%;
    padding: 10px;
    font-size: 1.2em;
    cursor: pointer;
    margin-top: 5px;
    background-color: #8FE58C;
    border: none;
    border-radius: 15px;
}
form#formulario input[type="submit"]:hover{
    font-size: 1.4em;
    background-color: #74bb71;
}